Subject: Re: linux-next: Tree for Aug 27

From: Laura Abbott <[email-masked]>
Date: Wed, 27 Aug 2014 17:56:13 -0700

On 8/27/2014 5:48 PM, Stephen Rothwell wrote:
> Hi all,
>
> On Wed, 27 Aug 2014 16:58:09 -0700 Guenter Roeck <[email-masked]> wrote:
>>
>> I see a large number of build failures with this kernel.
>>
>> drivers/base/dma-mapping.c: In function 'dma_common_contiguous_remap':
>> drivers/base/dma-mapping.c:294:2: error: implicit declaration of function
>> 'dma_common_pages_remap' [-Werror=implicit-function-declaration]
>> drivers/base/dma-mapping.c:294:6: warning: assignment makes pointer from integer
>> without a cast [enabled by default]
>> drivers/base/dma-mapping.c: At top level:
>> drivers/base/dma-mapping.c:305:7: error: conflicting types for
>> 'dma_common_pages_remap'
>> drivers/base/dma-mapping.c:294:8: note: previous implicit declaration of
>> 'dma_common_pages_remap' was here
>> cc1: some warnings being treated as errors
>> make[2]: *** [drivers/base/dma-mapping.o] Error 1
>
> Caused by commit fa44abcad042 ("common: dma-mapping: introduce common
> remapping functions") from the akpm-current tree.  I will attempt to
> revert that commit today, but I may need to also revert the following 2
> commits as well:
>
> arm: use genalloc for the atomic pool
> arm64: add atomic pool for non-coherent and CMA allocations
>
> though I am not sure.  Hopefully someone will let me know in the next
> few hours ...
>

I sent fixes for this to Andrew yesterday, did those not get picked up
or fix the problem?

Thanks,
Laura

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
hosted by The Linux Foundation